%define module	incremental

Name:		python-%{module}
Version:	17.5.0
Release:	%mkrel 1
Summary:	Library for versioning Python 2 projects
License:	MIT
Group:		Development/Python
Url:		https://pypi.org/project/incremental/
Source0:	https://pypi.io/packages/source/i/incremental/%{module}-%{version}.tar.gz
BuildArch:	noarch
BuildRequires:	pkgconfig(python2)
BuildRequires:	pythonegg(2)(setuptools)

%description
Library for versioning Python 2 projects.

%package -n	python3-%{module}
Summary:	Library for versioning Python 3 projects
Group:		Development/Python
BuildArch:	noarch
BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)

%description -n	python3-%{module}
Library for versioning Python 3 projects.

%prep
%setup -qn %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf src/%{module}.egg-info

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%files
%doc NEWS.rst README.rst
%license LICENSE
%{python2_sitelib}/%{module}/
%{python2_sitelib}/%{module}-%{version}-py%{python2_version}.egg-info/

%files -n python3-%{module}
%doc NEWS.rst README.rst
%license LICENSE
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Feb 20 2018 daviddavid <daviddavid> 17.5.0-1.mga6
+ Revision: 1203446
- branch python-incremental for mga6 (needed for python-twisted)

* Tue Feb 20 2018 daviddavid <daviddavid> 17.5.0-3.mga7
+ Revision: 1203440
- rename python-incremental to python2-incremental

* Sat Aug 05 2017 pterjan <pterjan> 17.5.0-2.mga7
+ Revision: 1135456
- Rebuild for python 3.6

* Sat Jul 29 2017 daviddavid <daviddavid> 17.5.0-1.mga7
+ Revision: 1132256
- initial package python-incremental

